Loading...
Searching...
No Matches
scheduler.h File Reference

Scheduler object functions. More...

`#include <l4/sys/kernel_object.h>`
`#include <l4/sys/ipc.h>`
Include dependency graph for scheduler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4_sched_cpu_set_t
| CPU sets. More...
struct | l4_sched_param_t
| Scheduler parameter set. More...

## Typedefs

typedef struct l4_sched_cpu_set_t | l4_sched_cpu_set_t
| CPU sets.
typedef struct l4_sched_param_t | l4_sched_param_t
| Scheduler parameter set.

## Enumerations

enum | L4_scheduler_classes { L4_SCHEDULER_CLASS_FIXED_PRIO = 1UL << 1 , L4_SCHEDULER_CLASS_WFQ = 1UL << 2 }
| Supported scheduler classes. More...
enum | L4_scheduler_ops { L4_SCHEDULER_INFO_OP = 0UL , L4_SCHEDULER_RUN_THREAD_OP = 1UL , L4_SCHEDULER_IDLE_TIME_OP = 2UL }
| Operations on the Scheduler object. More...

## Functions

l4_sched_cpu_set_t | l4_sched_cpu_set (l4_umword_t offset, unsigned char granularity, l4_umword_t map=1) L4_NOTHROW
l4_msgtag_t | l4_scheduler_info (l4_cap_idx_t scheduler, l4_umword_t *cpu_max, l4_sched_cpu_set_t *cpus) L4_NOTHROW))
| Get scheduler information.
l4_msgtag_t | l4_scheduler_info_with_classes (l4_cap_idx_t scheduler, l4_umword_t *cpu_max, l4_sched_cpu_set_t *cpus, l4_umword_t *sched_classes) L4_NOTHROW))
| Get scheduler information.
l4_sched_param_t | l4_sched_param (unsigned prio, l4_umword_t quantum=0) L4_NOTHROW
| Construct scheduler parameter.
l4_msgtag_t | l4_scheduler_run_thread (l4_cap_idx_t scheduler, l4_cap_idx_t thread, l4_sched_param_t const *sp) L4_NOTHROW)
| Run a thread on a Scheduler.
l4_msgtag_t | l4_scheduler_idle_time (l4_cap_idx_t scheduler, l4_sched_cpu_set_t const *cpus, l4_kernel_clock_t *us) L4_NOTHROW)
| Query the idle time (in µs) of a CPU.
int | l4_scheduler_is_online (l4_cap_idx_t scheduler, l4_umword_t cpu) L4_NOTHROW
| Query if a CPU is online.

## Detailed Description

Scheduler object functions.

Definition in file scheduler.h.